<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">I2C Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classI2C.html">I2C</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classI2C.html#a414fa12d9ddd715be6802cd6fbe8d0ed">beginTransaction</a>()</td><td class="entry"><a class="el" href="classI2C.html">I2C</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classI2C.html#aece11572688a31925150176f2241e956">DEFAULT_CLK_PIN</a></td><td class="entry"><a class="el" href="classI2C.html">I2C</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classI2C.html#a3343eadb26bb775ed15e7b57ae9abd88">DEFAULT_CLK_SPEED</a></td><td class="entry"><a class="el" href="classI2C.html">I2C</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classI2C.html#a4d371d14b0fcae3b20f22ee8254536b8">DEFAULT_SDA_PIN</a></td><td class="entry"><a class="el" href="classI2C.html">I2C</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classI2C.html#ad43e562aaf70eac7acca8fde9f904234">endTransaction</a>()</td><td class="entry"><a class="el" href="classI2C.html">I2C</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classI2C.html#aa0b398b4369cf4db773aeb579c3919bc">getAddress</a>() const</td><td class="entry"><a class="el" href="classI2C.html">I2C</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classI2C.html#a7a9a84fccdacb3346ff97d6f3e158850">I2C</a>()</td><td class="entry"><a class="el" href="classI2C.html">I2C</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classI2C.html#a1d9a7d1373a31adf3c281598ea2c9e18">init</a>(uint8_t address, gpio_num_t sdaPin=DEFAULT_SDA_PIN, gpio_num_t sclPin=DEFAULT_CLK_PIN, uint32_t clkSpeed=DEFAULT_CLK_SPEED, i2c_port_t portNum=I2C_NUM_0, bool pullup=true)</td><td class="entry"><a class="el" href="classI2C.html">I2C</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classI2C.html#ac81d33d8192945eb2caa210ae5055851">read</a>(uint8_t *bytes, size_t length, bool ack=true)</td><td class="entry"><a class="el" href="classI2C.html">I2C</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classI2C.html#a732035bfdeb90745e21e3c0cc6a6992c">read</a>(uint8_t *byte, bool ack=true)</td><td class="entry"><a class="el" href="classI2C.html">I2C</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classI2C.html#ad3ebfa3204880e4fa60beeba997f357a">scan</a>()</td><td class="entry"><a class="el" href="classI2C.html">I2C</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classI2C.html#ab6ea7b33432cfea858484411741b3bca">setAddress</a>(uint8_t address)</td><td class="entry"><a class="el" href="classI2C.html">I2C</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classI2C.html#a846d50b0bd6b866498f91bfc50b565cc">setDebug</a>(bool enabled)</td><td class="entry"><a class="el" href="classI2C.html">I2C</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classI2C.html#a4acd5dd262eb4638e81f471a5e605194">slavePresent</a>(uint8_t address)</td><td class="entry"><a class="el" href="classI2C.html">I2C</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classI2C.html#a07463a2babdabbd675a2745fb53650ca">start</a>()</td><td class="entry"><a class="el" href="classI2C.html">I2C</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classI2C.html#ac9a9e5ea511ff86f474866052a7fabf1">stop</a>()</td><td class="entry"><a class="el" href="classI2C.html">I2C</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classI2C.html#a4a8d11dbd76409914f1e6404dacb2073">write</a>(uint8_t byte, bool ack=true)</td><td class="entry"><a class="el" href="classI2C.html">I2C</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classI2C.html#a870ba63321e9a51f4b7475e85ae112ce">write</a>(uint8_t *bytes, size_t length, bool ack=true)</td><td class="entry"><a class="el" href="classI2C.html">I2C</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
